Bug 240497 - Review Request: R-multtest 1.18.0 - Resampling-based multiple hypothesis testing library
Review Request: R-multtest 1.18.0 - Resampling-based multiple hypothesis test...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alex Lancaster
Fedora Package Reviews List
:
Depends On: 240500
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-17 17:34 EDT by Pierre-Yves
Modified: 2008-01-15 18:10 EST (History)
3 users (show)

See Also:
Fixed In Version: 1.18.0-3.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-15 17:54:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
alexl: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Pierre-Yves 2007-05-17 17:34:13 EDT
Spec URL: http://pingoured.dyndns.org/public/RPM/R-multtest/R-multtest.spec
SRPM URL: http://pingoured.dyndns.org/public/RPM/R-multtest/R-multtest-1.14.0-1.fc6.src.rpm
Description: 
Non-parametric bootstrap and permutation resampling-based multiple testing
procedures for controlling the family-wise error rate (FWER), generalized 
family-wise error rate (gFWER), tail probability of the proportion of 
false positives (TPPFP), and false discovery rate (FDR).

It is my first package 
I am seeking for a sponsor
Comment 1 Pierre-Yves 2007-05-23 17:58:54 EDT
The spec file has been changed to include the section %check
Then the news src.prm is
http://pingoured.dyndns.org/public/RPM/R-multtest/R-multtest-1.14.0-2.fc6.src.rpm
Comment 2 Pierre-Yves 2007-07-10 17:28:40 EDT
Based on the R packaging guidelines, there are the new files:

SPEC:
http://pingoured.dyndns.org/public/RPM/R-multtest/R-multtest.spec
SRPM:
http://pingoured.dyndns.org/public/RPM/R-multtest/R-multtest-1.14.0-4.fc6.src.rpm

:-)
Comment 5 Alex Lancaster 2007-12-04 18:38:52 EST
For a start the URLs are wrong for stable:

http://www.bioconductor.org/packages/2.2/bioc/html/multtest.html

should be:

http://www.bioconductor.org/packages/2.1/bioc/html/multtest.html
Comment 7 Alex Lancaster 2008-01-07 02:50:05 EST
Full review:

 - Package meets naming and packaging guidelines
 - Spec file matches base package name.
 - Spec has consistant macro usage.
 - Meets Packaging Guidelines.
 x License
 - License field in spec matches
 x License file  is not included in package
 - Spec in American English
 - Spec is legible.
 - Sources match upstream md5sum:
2a09d139ef362f0675c99e2e6d5ebe30  multtest_1.18.0.tar.gz
 - Package does not need ExcludeArch
 x BuildRequires:
Should have R-devel, not just R for arch-specific R packages
 - Spec handles locales/find_lang (N/A)
 - Package is not relocatable 
 - Package has %defattr and permissions on files is good.
 - Package has a correct %clean section.
 - Package has correct buildroot
      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
 - Package is code or permissible content.
 - Doc subpackage needed/used.
 - Packages %doc files don't affect runtime.

 - Headers/static libs in -devel subpackage.
 - Spec has needed ldconfig in post and postun
 - .pc files in -devel subpackage/requires pkgconfig
 - .so files in -devel subpackage.
 - -devel package Requires: %{name} = %{version}-%{release}
 - .la files are removed.
 - Package compiles and builds on at least one arch.
 - Package has no duplicate files in %files.
 - Package doesn't own any directories other packages own.
 - Package owns all the directories it creates.
 - rpmlint output (can be ignored according to
http://fedoraproject.org/wiki/Packaging/R):
R-multtest.i386: W: one-line-command-in-%post /usr/lib/rpm/R-make-search-index.sh
R-multtest.i386: W: one-line-command-in-%postun /usr/lib/rpm/R-make-search-index.sh
 - final provides and requires are sane:
 - Has dist tag

Issues:

1. Does not build OK on koji:
http://koji.fedoraproject.org/koji/taskinfo?taskID=330245

2. Does this package actually need R-Biobase at build-time?  i.e. does the
install script actually check for it, or does it just need it at install time

3. BR: R-devel

4. Might be good to include something about this being part of Bioconductor in
%summary

These two can be dealt with after import:

3. It isn't clear what version of LGPL is meant from
http://www.bioconductor.org/packages/2.1/bioc/html/multtest.html please ask
upstream to clarify
4. Ask upstream to include LGPL license in package and/or in source code itself.
Comment 8 Pierre-Yves 2008-01-07 03:14:50 EST
1- has to found out indeed
2- Yes since it runs the %{_bindir}/R CMD check %{packname} command, this check
whether Biobase is present or not
3- corrected
4- corrected
5- They should since R-2.6.0 but they did not... and on BioC 2.2 it is not
clearer (it is one of the biggest problem with bioconductor)

New files 

SPEC
http://pingoured.dyndns.org/public/RPM/R-multtest/R-multtest.spec
SRPM
http://pingoured.dyndns.org/public/RPM/R-multtest/R-multtest-1.18.0-3.fc8.src.rpm

Comment 9 Alex Lancaster 2008-01-07 03:29:01 EST
Thanks, on the assumption that we can fix in rawhide and that you pester
upstream again on license issues, this package is:

APPROVED.
Comment 10 Alex Lancaster 2008-01-07 10:37:54 EST
SRPM from comment #10 works fine in koji now:

http://koji.fedoraproject.org/koji/taskinfo?taskID=330931

The problem was that "R CMD INSTALL" was moved to R-devel in rawhide, so the BR:
R-devel fixed it (which should always be present as per review guidelines in any
case).
Comment 11 Alex Lancaster 2008-01-07 19:43:58 EST
New Package CVS Request
=======================
Package Name: R-multtest
Short Description: Multiple hypothesis testing library from Bioconductor
Owners: pingou, alexlan
Branches: F-7 F-8
InitialCC: alexlan
Cvsextras Commits: yes
Comment 12 Kevin Fenzi 2008-01-07 22:34:15 EST
cvs done.
Comment 13 Fedora Update System 2008-01-11 17:08:45 EST
R-multtest-1.18.0-3.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-multtest'
Comment 14 Fedora Update System 2008-01-11 17:21:55 EST
R-multtest-1.18.0-3.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update R-multtest'
Comment 15 Fedora Update System 2008-01-15 17:53:59 EST
R-multtest-1.18.0-3.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-01-15 18:10:06 EST
R-multtest-1.18.0-3.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.